Subject: Re: DirectX Frustrations
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 16 Sep 2001 23:36:15 -0400

On Sun, Sep 16, 2001 at 08:19:18PM -0700, Rob Quattlebaum wrote:
>I have gotten it to the point where everything compiles, and I fail at
>linktime.
>
>Here is a log of the GCC builds: >http://www.voria.net/darco/geode/02.txt

Your link line looks like this:

gcc -g -mwindows -lddraw -ldinput -ldsound -ldxguid -lwinmm  src/winproc.o 

The '-lwhatever' options do not precede the object files they go AFTER
the object files.  This has been mentioned here repeatedly.  It's not
a cygwin issue.  This is how gcc and ld work everywhere.

I suspect that you'll probably have lots of other problems given all of the
warnings that are in your build log but this much at least you should
fix.  I'm surprised that you couldn't find this if you actually have
looked in the email archives as you indicated.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/